<?php
/*----------------------------------------------------------+
| PHP-Fusion Content Management System                      |
| Copyright (C) 2002 - 2010 Nick Jones                      |
| http://www.php-fusion.co.uk/                              |
+-----------------------------------------------------------+
| This program is released as free software under the       |
| Affero GPL license. You can redistribute it and/or        |
| addonify it under the terms of this license which you     |
| can read by viewing the included agpl.txt or online       |
| at http://www.gnu.org/licenses/agpl.html. Removal of this |
| copyright header is strictly prohibited without           |
| written permission from the original author(s).           |
+----------------------------------------------------------*/

/*----------------------------------------------------------+
|             Wave Theme for PHP-Fusion v7                  |
+-----------------------------------------------------------+
| Filename: theme.php                                       |
| Author: Ankur Thakur                                      |
| Author Web: http://ankurthakur.in/                        |
|             http://www.php-fusion.in/                     |
+-----------------------------------------------------------+
| This theme is released under the terms and conditions     |
| of the GNU Affero GPL v3.                                 |
+----------------------------------------------------------*/

/* -------------------------------------------------------- */
/* SETTINGS - YOU CAN CHANGE */
/* Theme Width in Percentage % */
define("THEME_WIDTH", "95%");

/* Enable Social Icons or NOT ??? */
$enablesocial = true;	// true --> Yes, false --> No
/* -------------------------------------------------------- */

if (!defined("IN_FUSION")) { die("Access Denied"); }

// Including Locale
if (file_exists(THEME."locale/".$settings['locale'].".php")) {
	include THEME."locale/".$settings['locale'].".php";
} else {
	include THEME."locale/English.php";
}

define("THEME_BULLET", "<span class='bullet'>&#8226;</span>");

require_once INCLUDES."theme_functions_include.php";

// Altering Admin Images
require_once THEME."functions.php";
if (FUSION_SELF == 'index.php' && isset($_GET['aid']))
{
add_handler("alter_admin_images");
}
add_handler("theme_output");

// Manual Function to Check for New Version of Theme - Ankur Thakur
function check_version($cur_version, $url, $theme_name)
{
	global $locale;
	$version = 0;
	if (!isset($_COOKIE['wave_version']) || !isset($_COOKIE['wave_link']))	{
		$xml = simplexml_load_file($url);
		foreach($xml->addon as $addon) {
		if($addon['name'] == $theme_name)
		{	$version = $addon['version'];
			$link = $addon->link;	}
		}
		setcookie("wave_version", $version, time()+60*60*24);
		setcookie("wave_link", $link, time()+60*60*24);
	}
	else {
		$version = $_COOKIE['wave_version'];
		$link = $_COOKIE['wave_link'];
	}
	if($cur_version < $version) {
		echo "\n<br /><a href='".$link."' target='_blank'><font color='#ff0000'><b>* ".$theme_name.$locale['theme_001'].$version.$locale['theme_002']."</b></font></a><br />\n";
	}
}

function render_page($license = false) {
	
	global $settings, $main_style, $locale, $mysql_queries_time, $enablesocial;

	//Header
	echo "<table cellpadding='0' cellspacing='0' align='center' width='".THEME_WIDTH."'>\n<tr>\n";
	echo "<td class='full-header'>\n".showbanners()."</td>\n";
	if ($enablesocial)
	{
	echo "<td valign='bottom' class='social-links'>\n";
	echo "<ul>\n";
	// echo "<li><a href='http://www.php-fusion.co.uk/profile.php?lookup=38653' target='_blank'><img src='".THEME."images/icons/phpfusion.png' alt='' /></a></li>";
	echo "<li><a href='http://www.facebook.com/' target='_blank'><img src='".THEME."images/icons/facebook.png' alt='' /></a></li>";
	echo "<li><a href='http://twitter.com/' target='_blank'><img src='".THEME."images/icons/twitter.png' alt='' /></a></li>";
	echo "<li><a href='http://www.youtube.com/' target='_blank'><img src='".THEME."images/icons/youtube.png' alt='' /></a></li>";
	// echo "<li><a href='http://in.linkedin.com/pub/ankur-thakur/23/710/612' target='_blank'><img src='".THEME."images/icons/linkedin.png' alt='' /></a></li>";
	// echo "<li><a href='http://pulse.yahoo.com/_UGTQ7XDR32E3XI7UJA4VWY7GSE' target='_blank'><img src='".THEME."images/icons/yahoo.png' alt='' /></a></li>";
	// echo "<li><a href='http://picasaweb.google.com/thakurboyz2007' target='_blank'><img src='".THEME."images/icons/picasa.png' alt='' /></a></li>";
	// echo "<li><a href='https://www.google.com/profiles/thakurboyz2007' target='_blank'><img src='".THEME."images/icons/googlebuzz.png' alt='' /></a></li>";
	// echo "<li><a href='http://ankurthakur.in/rss/' target='_blank'><img src='".THEME."images/icons/rss.png' alt='' /></a></li>";
	echo "</ul>";
	echo "\n</td>\n";
	}
	echo "</tr>\n</table>\n";
	
	echo "<table cellpadding='0' cellspacing='0' align='center' width='".THEME_WIDTH."'>\n<tr>\n";
	echo "<td class='sub-header'><span style='display: inline; float: right;'>".showsubdate()."</span>".showsublinks(" ".THEME_BULLET." ", "white")."</td>\n";
	echo "</tr>\n</table>\n<br />";
	
	//Content
	echo "<table cellpadding='0' cellspacing='10' align='center' width='".THEME_WIDTH."' class='$main_style common-bg'>\n<tr>\n";
	if (LEFT) {	echo "<td class='side-border' valign='top'>".LEFT."\n</td>\n"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) {	echo "<td class='side-border' valign='top'>".RIGHT."\n</td>\n"; }
	echo "</tr>\n</table>\n";
	
	//Footer
	echo "<table cellpadding='0' cellspacing='0' align='center' width='".THEME_WIDTH."'>\n<tr>\n";
	echo "<td class='sub-header-left'></td>\n";
	echo "<td align='left' class='sub-header'><span style='display: inline; float: right;'>".showcounter()."</span>".showrendertime()."</td>\n";
	echo "<td class='sub-header-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' align='center' width='".THEME_WIDTH."'>\n<tr>\n";
	echo "<td align='center' class='main-footer'>".stripslashes($settings['footer']);

		// Theme Author Copyright
	// if (iSUPERADMIN)	{	check_version('1.0','http://ankurthakur.in/infusions/dev_showcase/addons.xml', 'Wave');	}
       if (iSUPERADMIN)	{	check_version('1.0','http://www.facebook.com/AnkurThakurWeb#!/AnkurThakurWeb', 'Wave');	}


	echo "<br /><b>Theme Wave | Designed by <a href='http://ankurthakur.in/' target='_blank'><u>Ankur Thakur</u></a></b>";

	if (!$license) { echo "<br />\n".showcopyright(); }
	echo "</td>\n";
	echo "</tr>\n</table>\n";
	
	/*foreach ($mysql_queries_time as $query) {
		echo $query[0]." QUERY: ".$query[1]."<br />";
	}*/

}

/* New in v7.02 - render comments */
function render_comments($c_data, $c_info){
	global $locale;
	opentable($locale['c100']);
	if (!empty($c_data)){
		echo "<div class='comments floatfix'>\n";
			$c_makepagenav = '';
			if ($c_info['c_makepagenav'] !== FALSE) { 
			echo $c_makepagenav = "<div style='text-align:center;margin-bottom:5px;'>".$c_info['c_makepagenav']."</div>\n"; 
		}
			foreach($c_data as $data) {
			echo "<div class='tbl2'>\n";
			if ($data['edit_dell'] !== FALSE) { 
				echo "<div style='float:right' class='comment_actions'>".$data['edit_dell']."\n</div>\n";
			}
			echo "<a href='".FUSION_REQUEST."#c".$data['comment_id']."' id='c".$data['comment_id']."' name='c".$data['comment_id']."'>#".$data['i']."</a> |\n";
			echo "<span class='comment-name'>".$data['comment_name']."</span>\n";
			echo "<span class='small'>".$data['comment_datestamp']."</span>\n";
			echo "</div>\n<div class='tbl1 comment_message'>".$data['comment_message']."</div>\n";
		}
		echo $c_makepagenav;
		if ($c_info['admin_link'] !== FALSE) {
			echo "<div style='float:right' class='comment_admin'>".$c_info['admin_link']."</div>\n";
		}
		echo "</div>\n";
	} else {
		echo $locale['c101']."\n";
	}
	closetable();   
}

function render_news($subject, $news, $info) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".$info['cat_image'].$news."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer middle-border'>\n";
	echo newsposter($info," &middot;").newscat($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";

}

function render_article($subject, $article, $info) {
	
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo articleposter($info," &middot;").articlecat($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n</tr>\n</table>\n";

}

function opentable($title) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain'>".$title."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='main-body'>\n";

}

function closetable() {

	echo "</td>\n";
	echo "</tr>\n</table>\n";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='scapmain'>".$title;
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "\n<span style='float: right; margin-right: 10px;'>".panelbutton($state, $boxname)."</span>\n";
	}
	echo "</td>\n</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n</tr>\n</table>\n";

}
?>
